
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lth
 */
@Schema(description = "商家注册信息")
public class ShopUserRegisterDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "密码")
    @NotBlank(message = "密码不能为空")
    private String password;

    @Schema(description = "手机号")
    @NotBlank(message = "手机号不能为空")
    private String mobile;

    @Schema(description = "用户名")
    @NotBlank(message = "用户名不能为空")
    private String username;

    @Schema(description = "验证码")
    @NotBlank(message = "验证码不能为空")
    private String validCode;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getValidCode() {
        return validCode;
    }

    public void setValidCode(String validCode) {
        this.validCode = validCode;
    }

    @Override
    public String toString() {
        return "ShopUserRegisterDTO{" +
                "password='" + password + '\'' +
                ", mobile='" + mobile + '\'' +
                ", userName='" + username + '\'' +
                ", validCode='" + validCode + '\'' +
                '}';
    }
}
